// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v3.17.3
// source: common/def/files.proto

package def

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type KnownVantagePoint struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	LastSeen int64 `protobuf:"varint,1,opt,name=last_seen,json=lastSeen,proto3" json:"last_seen,omitempty"`
}

func (x *KnownVantagePoint) Reset() {
	*x = KnownVantagePoint{}
	if protoimpl.UnsafeEnabled {
		mi := &file_common_def_files_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *KnownVantagePoint) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*KnownVantagePoint) ProtoMessage() {}

func (x *KnownVantagePoint) ProtoReflect() protoreflect.Message {
	mi := &file_common_def_files_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use KnownVantagePoint.ProtoReflect.Descriptor instead.
func (*KnownVantagePoint) Descriptor() ([]byte, []int) {
	return file_common_def_files_proto_rawDescGZIP(), []int{0}
}

func (x *KnownVantagePoint) GetLastSeen() int64 {
	if x != nil {
		return x.LastSeen
	}
	return 0
}

var File_common_def_files_proto protoreflect.FileDescriptor

var file_common_def_files_proto_rawDesc = []byte{
	0x0a, 0x16, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x65, 0x66, 0x2f, 0x66, 0x69, 0x6c,
	0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x18, 0x74, 0x6f, 0x72, 0x2e, 0x70, 0x72,
	0x6f, 0x62, 0x65, 0x75, 0x74, 0x69, 0x6c, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x64,
	0x65, 0x66, 0x22, 0x30, 0x0a, 0x11, 0x4b, 0x6e, 0x6f, 0x77, 0x6e, 0x56, 0x61, 0x6e, 0x74, 0x61,
	0x67, 0x65, 0x50, 0x6f, 0x69, 0x6e, 0x74, 0x12, 0x1b, 0x0a, 0x09, 0x6c, 0x61, 0x73, 0x74, 0x5f,
	0x73, 0x65, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x6c, 0x61, 0x73, 0x74,
	0x53, 0x65, 0x65, 0x6e, 0x42, 0x31, 0x5a, 0x2f, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63,
	0x6f, 0x6d, 0x2f, 0x78, 0x69, 0x61, 0x6f, 0x6b, 0x61, 0x6e, 0x67, 0x77, 0x61, 0x6e, 0x67, 0x2f,
	0x74, 0x6f, 0x72, 0x70, 0x72, 0x6f, 0x62, 0x65, 0x75, 0x74, 0x69, 0x6c, 0x2f, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x65, 0x66, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_common_def_files_proto_rawDescOnce sync.Once
	file_common_def_files_proto_rawDescData = file_common_def_files_proto_rawDesc
)

func file_common_def_files_proto_rawDescGZIP() []byte {
	file_common_def_files_proto_rawDescOnce.Do(func() {
		file_common_def_files_proto_rawDescData = protoimpl.X.CompressGZIP(file_common_def_files_proto_rawDescData)
	})
	return file_common_def_files_proto_rawDescData
}

var file_common_def_files_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_common_def_files_proto_goTypes = []interface{}{
	(*KnownVantagePoint)(nil), // 0: tor.probeutil.common.def.KnownVantagePoint
}
var file_common_def_files_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_common_def_files_proto_init() }
func file_common_def_files_proto_init() {
	if File_common_def_files_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_common_def_files_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*KnownVantagePoint); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_common_def_files_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_common_def_files_proto_goTypes,
		DependencyIndexes: file_common_def_files_proto_depIdxs,
		MessageInfos:      file_common_def_files_proto_msgTypes,
	}.Build()
	File_common_def_files_proto = out.File
	file_common_def_files_proto_rawDesc = nil
	file_common_def_files_proto_goTypes = nil
	file_common_def_files_proto_depIdxs = nil
}
